<template>
	<view>
		<u-navbar placeholder :autoBack="true" v-hideNav>
			<template slot="center">
				<view class="navbar_center_wrap">
					<text class="name">{{ item }}</text>
				</view>
			</template>
		</u-navbar>
		<detail :orderId="orderId" :clueId="clueId" :params="params"></detail>
	</view>
</template>

<script>
import detail from "./page/detail.vue";
import qs from 'qs';
export default {
	components: {
		detail
	},
	onPullDownRefresh() {
		uni.stopPullDownRefresh();
		// 刷新
		uni.redirectTo({
			url: `/pages/orderDetail/index?` + qs.stringify(this.params),
		})
	},
	onLoad(option) {
		const { item, orderId, type, clueId } = option;
		this.item = item;
		this.orderId = orderId;
		this.params = option;
		this.clueId = clueId;
		uni.setNavigationBarTitle({
			title: item
		});
	},
	data() {
		return {
			item: "",
			orderId: "",
			clueId: "",
			params: {},
		}
	},
	mounted() {
	}
}
</script>

<style lang="scss" scoped>
.navbar_center_wrap {
	text-align: center;
	width: 200rpx;
	display: flex;
	flex-direction: column;
	align-items: center;

	.pinyin {
		font-size: 22rpx;
		color: #b3b3c6;
	}
}
</style>
